This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 502624 - mkinitrd can't access /proc/sys/crypto/fips_enabled and prints errors
mkinitrd can't access /proc/sys/crypto/fips_enabled and prints errors
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd (Show other bugs)
5.4
All Linux
high Severity high
: rc
: ---
Assigned To: Peter Jones
Alexander Todorov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 10:41 EDT by Alexander Todorov
Modified: 2009-09-02 07:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:15:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2009-05-26 10:41:16 EDT
Description of problem:
On a 5.2 system with latest mkinitrd from 5.4 I was trying to rebuild the initrd image to verify bug #479270.

# rpm -q mkinitrd
mkinitrd-5.1.19.6-52

# uname -a
Linux dell-pe650-02.rhts.bos.redhat.com 2.6.18-92.el5 #1 SMP Tue Apr 29
13:16:12 EDT 2008 i686 i686 i386 GNU/Linux

# mkinitrd test-$(uname -r) $(uname -r)
cat: /proc/sys/crypto/fips_enabled: No such file or directory
/sbin/mkinitrd: line 1171: [: : integer expression expected
/sbin/mkinitrd: line 1663: [: : integer expression expected
/sbin/mkinitrd: line 1748: [: : integer expression expected


# echo $?
0

The initrd image is created but notice the errors.
Comment 1 Alexander Todorov 2009-05-26 10:41:44 EDT
pjones: http://fpaste.org/paste/12998
pjones: should fix it.
Comment 2 RHEL Product and Program Management 2009-05-26 15:10:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Peter Jones 2009-05-26 15:24:11 EDT
Fixed in mkinitrd-5.1.19.6-53 .
Comment 5 Alexander Todorov 2009-05-27 04:14:09 EDT
# ls -l /proc/sys/crypto/fips_enabled
ls: /proc/sys/crypto/fips_enabled: No such file or directory
# rpm -q mkinitrd
mkinitrd-5.1.19.6-53
# uname -a
Linux athlon5 2.6.18-92.el5 #1 SMP Tue Apr 29 13:16:12 EDT 2008 i686 athlon i386 GNU/Linux
# mkinitrd test-$(uname -r) $(uname -r)
# echo $?
0
# ls -l test-2.6.18-92.el5 
-rw------- 1 root root 3118733 May 27 04:09 test-2.6.18-92.el5

initrd image is created and no error for /proc/sys/crypto/fips_enabled. Tested on i386 and ia64. Moving to VERIFIED.
Comment 7 errata-xmlrpc 2009-09-02 07:15:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1345.html

Note You need to log in before you can comment on or make changes to this bug.